Moodle Community Sites
  1. Moodle Community Sites
  2. MDLSITE-1814

Plugins: Viewing validation not working since upgrade to Moodle 2.3

    Details

    • Type: Bug Bug
    • Status: Closed
    • Priority: Major Major
    • Resolution: Fixed
    • Component/s: moodle.org/plugins
    • Labels:
      None
    • Rank:
      42130

      Description

      It looks as though there may be some type of fatal error occurring which prevents the page from fully loading. We may need to turn debugging on to see exactly what is happening but for now I'm just going to attach a screenshot.

        Issue Links

          Activity

          Hide
          Anthony Borrow added a comment -

          Notice that the docking menus are missing as well as the footer. Peace - Anthony

          Show
          Anthony Borrow added a comment - Notice that the docking menus are missing as well as the footer. Peace - Anthony
          Hide
          Anthony Borrow added a comment -

          Marina - I'm bumping priority to major. I'm able to do plugin reviews but I do rely on being able to see the validation results. Peace - Anthony

          Show
          Anthony Borrow added a comment - Marina - I'm bumping priority to major. I'm able to do plugin reviews but I do rely on being able to see the validation results. Peace - Anthony
          Hide
          Michael de Raadt added a comment -

          This appears to be stopping people from submitting new plugins. I'm raising the priority on this.

          Show
          Michael de Raadt added a comment - This appears to be stopping people from submitting new plugins. I'm raising the priority on this.
          Hide
          Michael de Raadt added a comment -

          I received a report overnight from someone who was not able to submit a plugin.

          I just tested this and I was able to submit and validate a plugin.

          Reducing panic level. Calmness increasing...

          Show
          Michael de Raadt added a comment - I received a report overnight from someone who was not able to submit a plugin. I just tested this and I was able to submit and validate a plugin. Reducing panic level. Calmness increasing...
          Hide
          Anthony Borrow added a comment -

          I'm also willing to reduce the panic level as it appears at the moment to only be affecting five of the plugins needing approval:

          http://moodle.org/plugins/pluginversions.php?id=344&validation=1
          http://moodle.org/plugins/pluginversions.php?id=343&validation=1
          http://moodle.org/plugins/pluginversions.php?id=342&validation=1
          http://moodle.org/plugins/pluginversions.php?id=341&validation=1
          http://moodle.org/plugins/pluginversions.php?id=340&validation=1

          If I find others or some other pattern to figure things out I'll post back here.

          Peace - Anthony

          Show
          Anthony Borrow added a comment - I'm also willing to reduce the panic level as it appears at the moment to only be affecting five of the plugins needing approval: http://moodle.org/plugins/pluginversions.php?id=344&validation=1 http://moodle.org/plugins/pluginversions.php?id=343&validation=1 http://moodle.org/plugins/pluginversions.php?id=342&validation=1 http://moodle.org/plugins/pluginversions.php?id=341&validation=1 http://moodle.org/plugins/pluginversions.php?id=340&validation=1 If I find others or some other pattern to figure things out I'll post back here. Peace - Anthony
          Hide
          Anthony Borrow added a comment -

          To see if it was just a temporary issue based on when the users uploaded the files, I was going to delete the version and the reupload it and see if that fixed validation; however, when I went to add a new version I was getting a 500 server error. I'm attaching the zip file for testing with http://moodle.org/plugins/view.php?plugin=enrol_shebang. I've asked Fred to also try to re-upload the version and see if he is able to. Peace - Anthony

          Show
          Anthony Borrow added a comment - To see if it was just a temporary issue based on when the users uploaded the files, I was going to delete the version and the reupload it and see if that fixed validation; however, when I went to add a new version I was getting a 500 server error. I'm attaching the zip file for testing with http://moodle.org/plugins/view.php?plugin=enrol_shebang . I've asked Fred to also try to re-upload the version and see if he is able to. Peace - Anthony
          Hide
          Marina Glancy added a comment -

          Anthony, zip upload did not work after moodle.org was upgraded. So the listed plugins did not have any versions. I fixed the issue with upload

          The contributor needs to re-upload the versions

          Show
          Marina Glancy added a comment - Anthony, zip upload did not work after moodle.org was upgraded. So the listed plugins did not have any versions. I fixed the issue with upload The contributor needs to re-upload the versions
          Hide
          Gordon Bateson added a comment -

          Hi Anthony,
          in my experience this issue does not only affect plugins needing approval. It also affects plugins which already have approval but just need to be updated.

          I have made only minor modifications to the HotPot module since it was last successfully updated a few weeks ago (on June 8th). However, since June 24th I have been unable to update either the HotPot module or the QuizPort module. Apparently there is an error on the server in the plugins/addversion.php script.

          For testing purposes, here is the URL to the HotPot module zip file that I am trying to update to ...
          http://bateson.kanazawa-gu.ac.jp/moodle/zip/plugin_mod_hotpot.zip

          Gordon

          Show
          Gordon Bateson added a comment - Hi Anthony, in my experience this issue does not only affect plugins needing approval. It also affects plugins which already have approval but just need to be updated. I have made only minor modifications to the HotPot module since it was last successfully updated a few weeks ago (on June 8th). However, since June 24th I have been unable to update either the HotPot module or the QuizPort module. Apparently there is an error on the server in the plugins/addversion.php script. For testing purposes, here is the URL to the HotPot module zip file that I am trying to update to ... http://bateson.kanazawa-gu.ac.jp/moodle/zip/plugin_mod_hotpot.zip Gordon
          Hide
          Gordon Bateson added a comment -

          I am now able to update the HotPot and QuizPort plugins again. Thank you.

          Show
          Gordon Bateson added a comment - I am now able to update the HotPot and QuizPort plugins again. Thank you.
          Hide
          Anthony Borrow added a comment -

          Thanks Marina - As best I can tell everything is fixed up now. Peace - Anthony

          Show
          Anthony Borrow added a comment - Thanks Marina - As best I can tell everything is fixed up now. Peace - Anthony

            People

            • Votes:
              0 Vote for this issue
              Watchers:
              0 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Development